/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.test.jacc.test;

import org.jboss.test.JBossTestCase;
import junit.framework.Test;

/**
 * Run the web security-constraint tests under JACC
 * 
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1.2.2 $
 */
public class WebConstraintsUnitTestCase
   extends org.jboss.test.security.test.WebConstraintsUnitTestCase
{
   public WebConstraintsUnitTestCase(String name)
   {
      super(name);
   }

   public void testGetAccess() throws Exception
   {
      setStrictStarRolesMode(true);
      super.testGetAccess();
   }

   public void testPostAccess() throws Exception
   {
      setStrictStarRolesMode(true);
      super.testPostAccess();
   }

   public static Test suite() throws Exception
   {
      return JBossTestCase.getDeploySetup(WebConstraintsUnitTestCase.class,
         org.jboss.test.security.test.WebConstraintsUnitTestCase.WAR);
   }
}
